%define oname thunar-vfs
%define iconname thunar.png
%define url_ver %(echo %{version} | cut -c 1-3)
%define major 0
%define apiversion 2
%define libname %mklibname %{name} %{apiversion} %{major}
%define develname %mklibname %{name} -d

Summary:	New modern file manager for the Xfce Desktop Environment
Name:		thunar-vfs
Version:	1.2.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://thunar.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{oname}-%{version}.tar.xz
BuildRequires:	exo-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	png-devel
BuildRequires:	freetype-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	GConf2-devel
BuildRequires:	%{_lib}startup-notification-1-devel
BuildRequires:	thunar
BuildRequires:	gettext
BuildRequires:	pkgconfig
BuildRequires:	perl
BuildRequires:	intltool
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	gamin-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	jpeg-devel
BuildRequires:	GConf2-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	hal-devel
Requires:	shared-mime-info
Requires:	exo
Requires:       gvfs   
Requires:	thunar-volman
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%{_lib}thunar-vfs-devel < %{version}-%{release}
Obsoletes:	thunar-vfs < %{version}-%{release}
Obsoletes:	%{_lib}thunar-vfs2_0 < %{version}-%{release}

%description
Thunar vfs

%package devel
Summary:	Development files for the thunar filemanager
Group:		Graphical desktop/Xfce
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 2 -d

%description devel
Development files for the thunar filemanager.

%package doc
Summary: 	Documentation for thunar-vfs
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}


%prep
%setup -q

%build

#./autogen.sh --prefix=/usr

%configure2_5x 

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;


%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_datadir}/locale
%{_datadir}/gtk-doc
%{_datadir}/thumbnailers
%{_libdir}/libthunar-vfs-1.so.2
%{_libdir}/libthunar-vfs-1.so.2.3.1
%{_libdir}/thunar-vfs-1/thunar-vfs-font-thumbnailer-1
%{_libdir}/thunar-vfs-1/thunar-vfs-mime-cleaner-1
%{_libdir}/thunar-vfs-1/thunar-vfs-pixbuf-thumbnailer-1
%{_libdir}/thunar-vfs-1/thunar-vfs-update-thumbnailers-cache-1

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/libthunar-vfs-1.so
%{_libdir}/pkgconfig/thunar-vfs-1.pc

%files doc
%defattr(-,root,root)
%doc AUTHORS HACKING README TODO
%{_datadir}/doc
%doc docs/README.*

%changelog
* Sun Jun 04 2017 threepio <threepio> 1.2.0-5uplos2017
- rebuild for uplos

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx do de> 1.2.0-5pclos2015
- rebuild against new libxfce4util-devel
- fix summary of doc package
- clean BRs

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-4pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-2pclos2012
- process

* Fri Aug 31 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.0-2pclos2012
- rebuild against new thunar and exo
- added german summary and description0.

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.2.0-1pclos2012
- rebuild

* Thu Oct 13 2011 Sproggy <desproggster at gmail.com> 12.0-1phinx2011
- Update
